if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AllFieldTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[AllFieldTypes]
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AllFieldTypes]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
 BEGIN
CREATE TABLE [dbo].[AllFieldTypes] (
	[recordid] [bigint] NULL ,
	[a1] [binary] (50) NULL ,
	[a2] [bit] NULL ,
	[a3] [char] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[a4] [datetime] NULL ,
	[a5] [decimal](18, 0) NULL ,
	[a6] [float] NULL ,
	[a7] [image] NULL ,
	[a8] [int] NULL ,
	[a9] [money] NULL ,
	[aa] [nchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ab] [numeric](18, 0) NULL ,
	[ac] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ad] [real] NULL ,
	[ae] [smalldatetime] NULL ,
	[af] [smallint] NULL ,
	[ag] [smallmoney] NULL ,
	[ah] [sql_variant] NULL ,
	[ai] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[aj] [timestamp] NULL ,
	[ak] [tinyint] NULL ,
	[al] [uniqueidentifier] NULL ,
	[am] [varbinary] (50) NULL ,
	[an] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
END

GO

